### Function

# Camel search_get_header_decoded

since: 3.22

#### Declaration [src]

    gchar*
    camel_search_get_header_decoded (
      const gchar* header_name,
      const gchar* header_value,
      const gchar* default_charset
    )

#### Description [src]

Decodes `header_value`, if needed, either from an address header or the Subject header. Other `header_name` headers are returned as is.

Available since: 3.22

#### Parameters

`header_name`

  Type: `const gchar*`

  The header name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`header_value`

  Type: `const gchar*`

  The header value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_charset`

  Type: `const gchar*`

  The default charset to use for the decode, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Decoded header value, suitable for text comparison. Free the returned pointer with `g_free()` when done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.